Bug 11643 - smbspool man page should have an example for domain logins
smbspool man page should have an example for domain logins
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
4.3.2
All All
: P5 trivial
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 12:31 UTC by Berend De Schouwer
Modified: 2016-02-23 09:51 UTC (History)
2 users (show)

See Also:


Attachments
Add URI escape example (982 bytes, patch)
2016-02-15 14:59 UTC, Berend De Schouwer
mmuehlfeld: review+
kseeger: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Berend De Schouwer 2015-12-14 12:31:07 UTC
smbspool man page lists four types of logins, but it does not list an example for the type of login I need to perform in Cups to be able to print.

I need to login to the domain, so I need to add a URI like:
smb://domain%5Cuser:pass@server/printer_name

%5C => \

so this becomes "domain\user:pass@server"


No other attempts for domain logins have worked.

Can I submit a patch to add the example to the man page?
Comment 1 Björn Jacke 2015-12-21 09:58:50 UTC
if you have a patch ready that would be great. Thanks!
Comment 2 Berend De Schouwer 2016-02-15 14:59:46 UTC
Created attachment 11840 [details]
Add URI escape example

Document URI escaping that is frequently used to allow for domain logins for enterprise printer configuration.
Comment 3 Karolin Seeger 2016-02-22 10:16:35 UTC
Pushed to autobuild-v4-[4|3|2]-test.
Comment 4 Karolin Seeger 2016-02-23 09:51:31 UTC
Pushed to all branches.
Closing out bug report.

Thanks!